<?php
include_once(dirname(__FILE__) . "/Promoportoffert.class.php");

class PromoportoffertAdmin extends Promoportoffert
{
	public function PromoportoffertAdmin()
	{
		parent::__construct();

		$this->idpromo = lireParam("id", "int");
	}

	public function modifier()
	{
		$arr = $this->lire();

		$portgratuit = lireParam('portgratuit', 'int');

		if ($portgratuit != 0) {
			if (! in_array($this->idpromo, $arr))
				$arr[] = $this->idpromo;
		}
		else {
			$key = array_search($this->idpromo, $arr);

			if ($key !== false) {
				unset($arr[$key]);
			}
		}

		$this->ecrire($arr);
	}

	public function exec()
	{
		$action = lireParam("ppo_action", "string");

		if ($action == 'modifier') {
			$this->modifier();
		}
		else {
			$arr = $this->lire();

			$this->portgratuit = in_array($this->idpromo, $arr);

			echo $this->html();
		}
	}

	private function html() {
		?>
		<script type="text/javascript" src="../lib/jquery/jquery.js"></script>
		<script type="text/javascript">
			function ppo_maj() {
				$.ajax({
						url: '../client/plugins/promoportoffert/admin.php',
						data: {
							ppo_action: 'modifier',
							id: <?php echo $this->idpromo ?>,
							portgratuit: $('input[name=portgratuit]:checked').val(),
						}
				});
			}
		</script>

		<div class="entete" style="margin-top: 10px;">
			<div class="titre">PORT OFFERT</div>
		</div>

		<?php if ($this->idpromo) { ?>
			<ul style="background-image: url(gfx/degrade_ligne1.png); background-repeat: repeat-x;" class="ligne_claire_BlocDescription">
				<li>
					<p>Indiquez ci-dessous si ce code promotion permet d'offrir le port à vos clients.</p>
				</li>
			</ul>

			<ul class="ligne_fonce_BlocDescription">
				<li style="width:280px;" class="designation">
					Offrir le port:
				</li>
				<li>
					<input type="radio" onchange="ppo_maj();" name="portgratuit" value="1" <?php echo $this->portgratuit ? 'checked="checked"' : '' ?>/> Oui
					<input type="radio" onchange="ppo_maj();" name="portgratuit" value="0" <?php echo ! $this->portgratuit ? 'checked="checked"' : '' ?> /> Non
				</li>
			</ul>
		<?php } else { ?>
			<ul style="background-image: url(gfx/degrade_ligne1.png); background-repeat: repeat-x;" class="ligne_claire_BlocDescription">
				<li>
					<p>Pour utiliser cette fonction, créez tout d'abord le code promotion.</p>
				</li>
			</ul>
		<?php }
	}
}
?>